<?php
// get these values from your DB.
require_once('config.php');
$error_message;
$valid = true;



$site_cd = $_REQUEST['site_cd'];
$empl_id = $_REQUEST['empl_id'];

$sql_1="SELECT 		distinct(service_type)			

		FROM 				cf_menu (NOLOCK)
		
		INNER JOIN			cf_user_access (NOLOCK)
		ON					cf_user_access.menuid = cf_menu.rowid
		
		INNER JOIN			cf_module (NOLOCK)
		ON					cf_module.language_cd = cf_menu.language_cd
		AND					cf_module.cf_module_module_cd = cf_menu.program_category

		WHERE    			cf_user_access.site_cd = '".$site_cd."'
		AND      			cf_user_access.empl_id = '".$empl_id."'		
		
		AND					exe_flag ='1'
		AND					service_type IS NOT NULL ";
 

		//echo  $sql;

		$stmt_1 = sqlsrv_query( $conn, $sql_1);

		if( !$stmt_1 ) {
			
			 $error_message = "Error selecting table Service Type";
			 returnError($error_message);
			 die( print_r( sqlsrv_errors(), true));
			 
		}

		$json= array();

		do {
			
			while ($row = sqlsrv_fetch_array($stmt_1, SQLSRV_FETCH_ASSOC)) {		
			
			$json[] = $row;		
			
			}
			
		} while ( sqlsrv_next_result($stmt_1) );
 


if ($valid) {

	
	//echo $sql;
	returnData($json);	
	sqlsrv_free_stmt( $stmt_1);
	sqlsrv_close( $conn);	
	
}

function returnData($json){
	$returnData = array(
	'status' => 'SUCCESS',
	'message' => 'Successfully',
	'data' => $json);
	
	echo json_encode($returnData);	
}

function returnError($error, $error_message){
	$json = array();
	
	$returnData = array(
	'status' => $error,
	'message' => $error_message,
	'data' => '');
	
	echo json_encode($returnData);
	exit();
		
}
	



 
?>